/* main.c
 * Real-Time audio broadcast station - CLIENT.
 * Written by Electronic One.  <eo@autobahn.mb.ca>
 */

/* Standard includes */
#include <stdio.h>

/* The ultra-elite decompressor */
#include "gsm.h"

/* Custom header files */
#include "switches.h"
#include "exit.h"
#include "modes.h"
#include "t_run.h"
#include "n_run.h"
#include "errorcodes.h"

int main(int argc, char *argv[])
{
   SW *sw;  /* The switches supplied to this program */
   
   sw = parse_switches(argc, argv);
   switch(sw->mode)
     {
      case MODE_TEXT : 
	t_run(sw);  
	break;
      
      case MODE_NCURSES : 
	n_run(sw);  
	break;

      default : 
	perror("Unknown mode");
	p_exit(sw->mode, ERR_UNKNOWN);  
	break;
     }
      
   p_exit(sw->mode, 0);
   
   return 0;
}

